StreamingMarkupWriter (Grails 3.2.8)
Date: 2017-03-23

Package: org.grails.web.xml

## [Java] Class StreamingMarkupWriter

- org.grails.web.xml.StreamingMarkupWriter

- Specialized StreamingMarkupWriter that handles the escaping of double quotes in XML attributes

  Authors:
    Siegfried Puchbauer
  Since:
    1.1

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StreamingMarkupWriter (java.io.Writer writer, java.lang.String s)`
    `StreamingMarkupWriter (java.io.Writer writer)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `write(int i)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class groovy.xml.streamingmarkupsupport.StreamingMarkupWriter` | `groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#setWritingAttribute(boolean), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#escaped(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#unescaped(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#getEncodingKnown(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write([C, int, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write(int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#flush(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#close(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#getEncoding(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(java.lang.CharSequence, int, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(char), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(java.lang.CharSequence), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(char), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(java.lang.CharSequence, int, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#append(java.lang.CharSequence), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write([C), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write(java.lang.String, int, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#write(java.lang.String), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#wait(long, int), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#wait(long), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#wait(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#equals(java.lang.Object), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#toString(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#hashCode(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#getClass(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#notify(), groovy.xml.streamingmarkupsupport.StreamingMarkupWriter#notifyAll()`
    `class java.io.Writer` | `java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#write([C), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#write(java.lang.String), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(long, int), java.io.Writer#wait(long), java.io.Writer#wait(), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()`

- - ### Constructor Detail

    - #### public StreamingMarkupWriter(java.io.Writer writer, java.lang.String s)

    - #### public StreamingMarkupWriter(java.io.Writer writer)

  - ### Method Detail

    - #### @java.lang.Override public void write(int i)